cURL
curl --request PATCH \
--url https://take.app/api/v2/customers/{customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://take.app/api/v2/customers/{customer_id}"
payload = {
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', phone: '<string>', email: 'jsmith@example.com'})
};
fetch('https://take.app/api/v2/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "customer",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"district": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Customers
Update customer
PATCH
/
api
/
v2
/
customers
/
{customer_id}
cURL
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Response
Customer
Available options:
customer International phone number, digits only, no leading "+".
Show child attributes
Show child attributes
⌘I